@import "bootstrap";
@import "timeline";
@import "links";
@import "/font-awesome/less/font-awesome";

/*!
 * Studentische Informatiktage Goettingen (http://sit.informatik.uni-goettingen.de/)
 * Copyright 2016 Ole Reglitzki <frissdiegurke@protonmail.com>
 */

body {
  padding-top: @navbar-height + @line-height-computed;
}

#logo {
  @size: 32px;
  width: @navbar-height - 1px;
  height: @navbar-height - 1px;
  padding: (@navbar-height - 2px - @size) / 2;
  margin-top: 1px - @navbar-padding-vertical;
  background-color: mix(@body-bg, @color-one, 70%);
  border-radius: 3px;
  //noinspection CssRedundantUnit // This actually is not redundant but necessary.
  transition: border-radius 1s 0s ease-in-out;

  &:hover {
    background-color: mix(@body-bg, @color-one, 83%);
    border-radius: 8px;
  }
}

#banner {
  width: 800px;
  max-width: 100%;
  display: block;
  margin: auto;
}

#content {
  min-height: 200px;
  padding: 0 @padding-base-horizontal;
  margin-bottom: @footer-height + @line-height-computed;

  > h1 {
    margin-bottom: @line-height-computed;
    text-align: center;
  }
}

.footer {
  min-height: @footer-height;
}

.text-large {
  /*font-size: 1.3em;*/
}

#footer-content {
  padding: (@footer-height - @line-height-computed) / 2 0;
  border-top: 1px solid fade(@color-one, 30%);
  background: mix(@color-two, @body-bg, 10%);
  color: fadeout(@text-color, 20%);

  .separator {
    padding: 0 10px;
  }
}

#imprint {
  .row > label {
    @media (min-width: @screen-sm-min) {
      text-align: right;
    }
  }
  .row > div {
    margin-bottom: @padding-small-vertical;
  }
}

.text-mono {
  font-family: 'Source Code Pro', Consolas, monospace;
}

.event-language {
  &:after {
    margin-left: 5px;
    content: "/";
  }
  &:last-child:after {
    margin-left: 0;
    content: "";
  }
}

.event-details.collapse.in {
  display: initial;
}

img[alt$=" "] {
  display: block;
  margin: auto;
}

#workshops > .panel:last-child {
  margin-bottom: 0;
}

.tab-content.well {
  border-top: none;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.05);
}

@font-face {
  font-family: sazanami;
  src: url(/fonts/sazanami-gothic.ttf);
}

.text-japanese {
  font-family: sazanami, serif;
}

.panel-heading, .panel-footer {
  margin: 0;
}

ol.no-list-style, ul.no-list-style {
  list-style: none;
}

ol.no-list-indent, ul.no-list-indent {
  padding: 0;
}

.margin-auto {
  margin: auto;
}

.thumbnail .caption {
  padding: @padding-small-vertical @padding-small-horizontal (@padding-small-vertical - @thumbnail-padding);
}

.thumbnail > a > .poster-preview {
  max-width: initial;
}

.poster-container > .thumbnail {
  margin-bottom: @padding-large-vertical;
}


@media print {
  .breadcrumb, .footer {
    display: none;
  }

  body {
    padding-top: 0;
  }
}

@fonts-path: "/fonts";
@fa-font-path: @fonts-path;

@body-bg: mix(white, @color-one, 88%);
@hr-border: mix(@color-one, @body-bg, 30%);

@link-external-color: @link-color;
@link-external-hover-color: @link-hover-color;
@link-external-icon: true;
@link-external-icon-color: @link-external-color;
@link-external-hover-icon-color: @link-external-hover-color;

@nav-tabs-active-link-hover-bg: @well-bg;

@footer-height: @line-height-computed + 2 * @padding-small-vertical;

@color-one: @brand-primary;
@color-two: #FF8000;

@brand-primary: #163776;
@brand-success: #73A839;
@brand-info: #2FA4E7;
@brand-warning: #DD5600;
@brand-danger: #C71C22;
